org.eclipse.viatra.query.tooling.ui.queryexplorer.util

## Class BasePartListener

- java.lang.Object
- - org.eclipse.viatra.query.tooling.ui.queryexplorer.util.BasePartListener

- All Implemented Interfaces:
    org.eclipse.ui.IPartListener
  Direct Known Subclasses:
    AttachFileEditorPartListener, ModelEditorPartListener

      public class BasePartListener
      extends java.lang.Object
      implements org.eclipse.ui.IPartListener

  An empty implementation of the `IPartListener` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasePartListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `partActivated(org.eclipse.ui.IWorkbenchPart part)`
    `void` | `partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)`
    `void` | `partClosed(org.eclipse.ui.IWorkbenchPart part)`
    `void` | `partDeactivated(org.eclipse.ui.IWorkbenchPart part)`
    `void` | `partOpened(org.eclipse.ui.IWorkbenchPart part)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasePartListener

          public BasePartListener()

  - ### Method Detail

    - #### partActivated

          public void partActivated(org.eclipse.ui.IWorkbenchPart part)

      Specified by:
        `partActivated` in interface `org.eclipse.ui.IPartListener`

    - #### partBroughtToTop

          public void partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)

      Specified by:
        `partBroughtToTop` in interface `org.eclipse.ui.IPartListener`

    - #### partClosed

          public void partClosed(org.eclipse.ui.IWorkbenchPart part)

      Specified by:
        `partClosed` in interface `org.eclipse.ui.IPartListener`

    - #### partDeactivated

          public void partDeactivated(org.eclipse.ui.IWorkbenchPart part)

      Specified by:
        `partDeactivated` in interface `org.eclipse.ui.IPartListener`

    - #### partOpened

          public void partOpened(org.eclipse.ui.IWorkbenchPart part)

      Specified by:
        `partOpened` in interface `org.eclipse.ui.IPartListener`